/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.api.annotation;

import static java.lang.annotation.ElementType.METHOD;
import java.lang.annotation.Retention;
import static java.lang.annotation.RetentionPolicy.RUNTIME;
import java.lang.annotation.Target;

/**
 * Annotation that can be applied to methods in a monitoring interface to indicate to logging frameworks the severity of
 * the event.
 *
 * @version $Rev: 432142 $ $Date: 2006-08-16 22:10:13 -0700 (Wed, 16 Aug 2006) $
 */
@Target({METHOD})
@Retention(RUNTIME)
public @interface LogLevel {

    /**
     * The log level as specified by {@link java.util.logging.Level}.
     */
    @SuppressWarnings({"JavaDoc"}) String value();
}
