/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.spi.idl;

/**
 * Exception thrown to indicate that a service contract specification contains an overloaded method.
 *
 * @version $Rev: 449084 $ $Date: 2006-09-22 13:48:58 -0700 (Fri, 22 Sep 2006) $
 */
public class OverloadedOperationException extends InvalidServiceContractException {
    private static final long serialVersionUID = -4658711318608885638L;

    public OverloadedOperationException() {
    }

    public OverloadedOperationException(String message) {
        super(message);
    }

    public OverloadedOperationException(String message, Throwable cause) {
        super(message, cause);
    }

    public OverloadedOperationException(Throwable cause) {
        super(cause);
    }
}
