/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.spi.model;

import java.util.HashMap;
import java.util.Map;

/**
 * The base class for assembly model subtypes
 *
 * @version $Rev: 447249 $ $Date: 2006-09-17 22:26:19 -0700 (Sun, 17 Sep 2006) $
 */
public abstract class ModelObject {
    private final Map<Object, Object> extensions = new HashMap<Object, Object>();

    protected ModelObject() {
    }

    public Map<Object, Object> getExtensions() {
        return extensions;
    }
}
