/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.binding.axis2;

import org.apache.tuscany.api.TuscanyRuntimeException;

/**
 * Denotes an error creating a new object instance
 *
 * @version $Rev: 436948 $ $Date: 2006-08-25 14:05:26 -0700 (Fri, 25 Aug 2006) $
 */
public class Axis2BindingRunTimeException extends TuscanyRuntimeException {
    private static final long serialVersionUID = -6423113430265944499L;

    public Axis2BindingRunTimeException() {
        super();
    }

    public Axis2BindingRunTimeException(String message) {
        super(message);
    }

    public Axis2BindingRunTimeException(String message, Throwable cause) {
        super(message, cause);
    }

    public Axis2BindingRunTimeException(Throwable cause) {
        super(cause);
    }

}

