/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.binding.rmi;

import helloworld.HelloWorldRmiService;

import org.apache.tuscany.test.SCATestCase;
import org.osoa.sca.CompositeContext;
import org.osoa.sca.CurrentCompositeContext;

// TODO: renamed to XXX as it doesn't work for me
public class BindingTestCase extends SCATestCase {
    private HelloWorldRmiService helloWorldRmiService;
 
    public void testRmiService() {
        System.out.println(helloWorldRmiService.sayRmiHello("Tuscany World!"));
        assertEquals("Hello from the RMI Service to - Tuscany World! thro the RMI Reference",
                helloWorldRmiService.sayRmiHello("Tuscany World!"));
    }

    protected void setUp() throws Exception {
        addExtension("rmi.binding",
                     getClass().getClassLoader().getResource("META-INF/sca/rmi_extension.scdl"));
        setApplicationSCDL(getClass().getClassLoader().getResource("META-INF/sca/default.scdl"));

        super.setUp();

        CompositeContext context = CurrentCompositeContext.getContext();
        helloWorldRmiService = context.locateService(HelloWorldRmiService.class,
                                                     "HelloWorldRmiServiceComponent");
    }


    protected void tearDown() throws Exception {
        super.tearDown();
    }

}
